<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| center_komment_panel.php
| Version: 1.00
| Author: hyperkolyok
| Site: http://fusion-mods.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."center_komment_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."center_komment_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."center_komment_panel/locale/Hungarian.php";
}

add_to_head("<link rel='stylesheet' href='".INFUSIONS."center_komment_panel/ckp.css' type='text/css' media='all' />");
$dt = time()-(3600*3);
$result = dbquery("SELECT * FROM ".DB_COMMENTS."
LEFT JOIN ".DB_USERS."
ON ".DB_COMMENTS.".comment_name=".DB_USERS.".user_id
WHERE comment_datestamp > '".$dt."' && (comment_type='P' || comment_type='D' || comment_type='A' || comment_type='N')
ORDER BY comment_datestamp DESC LIMIT 1");
	if (dbrows($result)){
		opentable($locale['CKPL_001']);
		$mihez = dbarray($result);
		$mz = $mihez['comment_type'];
		switch($mz){
			case "P" : 
						$info = dbarray(dbquery("SELECT * FROM ".DB_PHOTOS." WHERE photo_id='".$mihez['comment_item_id']."' "));
						$tm = trimlink($info['photo_title'],20);
						$lnk = "<a href='".BASEDIR."photogallery.php?photo_id=".$mihez['comment_item_id']."#c".$mihez['comment_id']."'><b>".$locale['CKPL_002']."</b></a>";
						$tema = $locale['CKPL_003'];
						break;
			case "D" : 
						$info = dbarray(dbquery("SELECT * FROM ".DB_DOWNLOADS." WHERE download_id='".$mihez['comment_item_id']."' "));
						$tm = trimlink($info['download_title'],20);
						$lnk = "<a href='".BASEDIR."downloads.php?download_id=".$mihez['comment_item_id']."#c".$mihez['comment_id']."'><b>".$locale['CKPL_002']."</b></a>";
						$tema = $locale['CKPL_004'];
						break;
			case "A" : 
						$info = dbarray(dbquery("SELECT * FROM ".DB_ARTICLES." WHERE article_id='".$mihez['comment_item_id']."' "));
						$tm = $info['article_subject'];
						$lnk = "<a href='".BASEDIR."articles.php?article_id=".$mihez['comment_item_id']."#c".$mihez['comment_id']."'><b>".$locale['CKPL_002']."</b></a>";
						$tema = $locale['CKPL_005'];
						break;
			case "N" : 
						$info = dbarray(dbquery("SELECT * FROM ".DB_NEWS." WHERE news_id='".$mihez['comment_item_id']."' "));
						$tm = $info['news_subject'];
						$lnk = "<a href='".BASEDIR."news.php?readmore=".$mihez['comment_item_id']."#c".$mihez['comment_id']."'><b>".$locale['CKPL_002']."</b></a>";
						$tema = $locale['CKPL_006'];
						break;
		}
echo "<div class='com-in'>".trimlink($mihez['user_name'],12)." "."<i>".$tm."</i> ".$tema." ".$locale['CKPL_007']." ".showdate("%H:%M",$mihez['comment_datestamp'])."-kor. ".$lnk."</div>\n";
echo'<div style="margin:5px"></div>';
closetable();
}
?>